<template>
    <!-- 弹出框表单 -->
    <el-drawer
            :title="title"
            :visible.sync="open"
            :direction="direction"
            :destroy-on-close="true"
            size="50%">
        <el-form ref="form" :model="form" :rules="rules" label-width="120px">
            <el-row>
                                            <Field label="标签名称" prop="labelName" v-model="form.labelName" placeholder="请输入标签名称"/>
                            <Field label="标签描述" prop="labelDesc" v-model="form.labelDesc" placeholder="请输入标签描述"/>
                            <Field label="标签图标" prop="labelLogoPath" v-model="form.labelLogoPath" placeholder="请输入标签图标"/>
                            <Field label="排序" prop="sort" v-model="form.sort" placeholder="请输入排序"/>
                            <Field label="备注" prop="remark" v-model="form.remark" placeholder="请输入备注"/>

            </el-row>

            <form-buttons @submit='submitForm' v-if="pageInfo.type!='view'" noCancelBtn />
        </el-form>

    </el-drawer>
</template>

<script>
    import form from "@/assets/mixins/formdialog";
    export default {
        name: "LabelsDetail",
        mixins: [form],
        components: {

        },
        created() {
            this.changePath("labels")
        },
        data() {
            return {
                // 遮罩层
                loading: true,
                // 弹出层标题
                title: "标注",
                // 是否显示弹出层
                open: false,
                direction:"rtl",
                toString:[
                ],
                toDate:[
                ],
                // 表单校验
                rules: {
                    labelName: [
                        {required: true,message: "请输入标签名称", trigger: "blur" },
                        {max: 128,message: "最多只能录入128个字符",trigger: "blur",},
                    ],
                    createTime: [
                        {required: true,message: "请选择创建时间" },
                    ],
                }
            };
        },

        methods: {
            /** 编辑 */
            edit(row) {
                this.reset()
                this.query = { id: row.id };
                this.urls.currUrl ="labels/edit";
                this.getData();
                this.pageInfo.type="edit"
                this.title = "修改标注";
            },
            /** 新增 */
            add(row) {
                this.reset()
                this.urls.currUrl = "labels/add";
                this.getData();
                this.pageInfo.type="add"
                this.title = "新增标注";
            },
            /** 查看*/
            view(row) {
                this.reset()
                this.query = { id: row.id };
                this.urls.currUrl ="labels/view";
                this.getData();
                this.pageInfo.type="view"
                this.title = "标注详细";
            },
            /**取消按钮 */
            cancel() {
                this.open = false;
            },
            /**获取数据后弹框 */
            afterRender(data) {
                this.open = true;
            },

            afterSubmit(data) {
                this.open = false;
                this.$emit("ok");
            },

            // 表单重置
            reset() {
                this.form = {
                    labelName : "",
                    labelDesc : "",
                    labelLogoPath : "",
                    sort : 0,
                    remark : "",
                };
                this.resetForm("form");
            },
            resetForm(refName) {
                if (this.$refs[refName]) {
                    this.$refs[refName].resetFields();
                }
            },
        },
    };
</script>
